LandingWidget:
  type: object
  properties:
    name:
      type: string
      description: Имя
      example: 'Баннер'
    widgetCode:
      type: string
      description: Код виджета
      example: 'banner'
    component:
      type: string
      description: Код компонента
      example: 'BannerComponent'
    previewBig:
      description: Превью изображение
      allOf:
        - type: object
        - $ref: '../../common_schemas.yaml#/File'
    previewSmall:
      description: Мини изображение
      allOf:
        - type: object
        - $ref: '../../common_schemas.yaml#/File'
    props:
      type: object
      description: Свойства
      example: {}
ListLandingsResponse:
  type: object
  properties:
    data:
      type: array
      items:
        $ref: '#/LandingWidget'
    meta:
      type: object
      properties:
        pagination:
          $ref: '../../common_schemas.yaml#/ResponseBodyPagination'
  required:
    - data
    - meta
